# Class webdriver.testing.Assertion.DelegatingMatcher_

code »

All implemented interfaces:
  `goog.labs.testing.Matcher`

Wraps an object literal implementing the Matcher interface. This is used to appease the Closure compiler, which will not treat an object literal as implementing an interface.

## Constructor

webdriver.testing.Assertion.DelegatingMatcher_ ( obj )

Parameters

obj: `{matches: function(*): boolean, describe: function(): string}`
  The object literal to delegate to.

Show:PublicProtectedPrivate

## Instance Methods

code » describe ( )
code » matches ( value )

Parameters

value